Bug 26790 - NV40 - Not center screen
Summary: NV40 - Not center screen
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: 7.5 (2009.10)
Hardware: Other All
: low normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL: https://bugs.edge.launchpad.net/ubunt...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-27 10:54 UTC by Cristian Aravena
Modified: 2010-03-06 13:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
DriverPropietary-Xorg.0.log (150.63 KB, text/plain)
2010-02-27 15:53 UTC, Cristian Aravena
no flags Details
DriverNouveau-Xorg.0.log (41.66 KB, text/plain)
2010-02-27 15:54 UTC, Cristian Aravena
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cristian Aravena 2010-02-27 10:54:03 UTC
Open bug in Launchpad:
https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau/+bug/529130

==Not center screen==

Photo example:
https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau/+bug/529130/comments/1

Hardware:
01:00.0 VGA compatible controller [0300]: nVidia Corporation G72 [GeForce 7300 LE] [10de:01d1] (rev a1)

Thanks,
Cristian
Comment 1 Francisco Jerez 2010-02-27 12:23:21 UTC
Your monitor is connected through a VGA cable, right? Doesn't it have h/v position controls?
Comment 2 Cristian Aravena 2010-02-27 13:09:27 UTC
(In reply to comment #1)
> Your monitor is connected through a VGA cable, right?

Yes, See:
http://traepaca.files.wordpress.com/2008/08/vga-plug.jpg

> Doesn't it have h/v
> position controls?

Yes, have position controls.

Problem:

== Use Case ==
1) Start Ubuntu with driver nouveau and click button adjust automatic possition.
2) Reboot
3) Start Windows and click button adjust automatic possition
4) Reboot
5) Start Ubuntu with driver nouveau and click button adjust automatic possition.
6) Reboot

Problem change manuality poss

Driver Private work fine with Ubuntu and Windows, not necesary press button adjust automatic possition.
Comment 3 Francisco Jerez 2010-02-27 14:39:49 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Your monitor is connected through a VGA cable, right?
> 
> Yes, See:
> http://traepaca.files.wordpress.com/2008/08/vga-plug.jpg
> 
> > Doesn't it have h/v
> > position controls?
> 
> Yes, have position controls.
> 
> Problem:
> 
> == Use Case ==
> 1) Start Ubuntu with driver nouveau and click button adjust automatic
> possition.
> 2) Reboot
> 3) Start Windows and click button adjust automatic possition
> 4) Reboot
> 5) Start Ubuntu with driver nouveau and click button adjust automatic
> possition.
> 6) Reboot
> 
> Problem change manuality poss
> 
> Driver Private work fine with Ubuntu and Windows, not necesary press button
> adjust automatic possition.
> 

Most likely the blob defaults to a mode different from ours, could you attach Xorg logs from both nouveau and nvidia?

IIRC the blob usually doesn't print out any timings, so you'll have to run your X server with some high verbosity level, like:
# Xorg -logverbose 7
Comment 4 Cristian Aravena 2010-02-27 15:53:16 UTC
Created attachment 33632 [details]
DriverPropietary-Xorg.0.log
Comment 5 Cristian Aravena 2010-02-27 15:54:40 UTC
Created attachment 33633 [details]
DriverNouveau-Xorg.0.log
Comment 6 Cristian Aravena 2010-02-28 12:23:18 UTC
For more information, just ask.  Thanks for you work.
Comment 7 Francisco Jerez 2010-03-05 06:51:45 UTC
This should be fixed on latest git.
Comment 8 Cristian Aravena 2010-03-06 13:19:08 UTC
(In reply to comment #7)
> This should be fixed on latest git.

Thanks Francisco Jerez, commit in git?
Comment 9 Francisco Jerez 2010-03-06 13:27:12 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > This should be fixed on latest git.
> 
> Thanks Francisco Jerez, commit in git?
> 

http://cgit.freedesktop.org/nouveau/linux-2.6/commit/?id=7d5f4d048686915fd89201a4b75df9ff93ab3e81


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.